Fetch Cloud Endpoint

Fetch Cloud Endpoint
Get cloud endpoints

List all the site-pairs. This API retrieves information about all site pairings configured on the local HCX manager.

Request
URI
GET
https://{server}/hybridity/api/cloudConfigs
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Status 200

Returns fetchCloudEndpoint_200_response of type(s) application/json
{
    "data": {
        "items": [
            {
                "endpointId": "endpointId",
                "cloudType": "cloudType",
                "url": "https://HCX_CLOUD_IP",
                "username": "username"
            },
            {
                "endpointId": "endpointId",
                "cloudType": "cloudType",
                "url": "https://HCX_CLOUD_IP",
                "username": "username"
            }
        ]
    },
    "success": true,
    "completed": true,
    "time": 0,
    "version": "version"
}
boolean
success
Optional

success

boolean
completed
Optional

completed

integer
time
Optional

time

string
version
Optional

version

object
data
Optional

data


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/hybridity/api/cloudConfigs